Bug 128137 - UI: Editing the field "Range or formula expression" of dialog Manage Names is broken: cursor jumps to start and more...
Summary: UI: Editing the field "Range or formula expression" of dialog Manage Names is...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-10-14 08:05 UTC by Cor Nouws
Modified: 2019-10-17 14:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
file with named range and explanation (42.29 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-10-14 08:05 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2019-10-14 08:05:08 UTC
Created attachment 154989 [details]
file with named range and explanation

Choose Sheet > Named Ranges And Expressions > Manage
Put cursor at the end in field Range or formula expression
Type Backspace
  >> $D$11 is changed in $D$4 and $A$4 becomes $A$1


Noticed in Version: 6.4.0.0.alpha0+
Build ID: d6ea967e040d01ec69649ac689472018e477db34
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-10-12_14:50:24
Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-10-14 11:26:54 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=565a254a814a06086ac067d5c64b4557e73c9666

author	Caolán McNamara <caolanm@redhat.com>	2019-04-10 15:50:49 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-04-11 09:58:26 +0200
commit	565a254a814a06086ac067d5c64b4557e73c9666 (patch)
tree	cc148ac4a4e15fa78f9861d762909895d86d7ec6
parent	92b25179973fce7cafa3364dc19693a5a22f4952 (diff)
weld ScNameDlg

Bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2019-10-15 07:59:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/09cd127981c18ab847aab736980455efbbe4df54

Resolves: tdf#128137 cursor jumping during edit, etc.

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2019-10-15 07:59:52 UTC
fixed in master, backport to 6-3 in gerrit
Comment 4 Xisco Faulí 2019-10-16 09:57:11 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: e2d82611088677f8ec9f038639567f2d7c699b5e
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!
Comment 5 Commit Notification 2019-10-17 14:03:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/8f79126d4fb7014a81c799db776991d4c2d06fa2

Resolves: tdf#128137 cursor jumping during edit, etc.

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.